$colors-list: (
  7FDBFF:#7FDBFF,
  0074D9:#0074D9,
  001F3F:#001F3F,
  39CCCC:#39CCCC,
  2ECC40:#2ECC40,
  3D9970:#3D9970,
  01FF70:#01FF70,
  FFDC00:#FFDC00,
  FF851B:#FF851B,
  FF4136:#FF4136,
  F012BE:#F012BE,
  B10DC9:#B10DC9,
  85144B:#85144B,
  FFFFFF:#FFFFFF,
  DDDDDD:#DDDDDD,
  AAAAAA:#AAAAAA,
  111111:#111111,
  f1ab00:#f1ab00,
  007e3a:#007e3a,
  cd1e10:#cd1e10
);

@mixin generate_colors($colors-list) {
  @each $key, $color in $colors-list {
    .color-#{$key} {
      color: #{$color} !important;
    }
  }
}

@mixin generate_background_colors($colors-list) {
  @each $key, $color in $colors-list {
    .bg-color-#{$key} {
      background-color: #{$color} !important;
    }
  }
}

/*           Font Smoothing      */
body,
h1, .h1, 
h2, .h2, 
h3, .h3, 
h4, .h4, 
h5, .h5, 
h6, .h6, 
p, 
.navbar, 
.brand, 
.btn-simple,
.alert, 
a, 
.td-name, 
td,
button.close{
    -moz-osx-font-smoothing: grayscale;
    -webkit-font-smoothing: antialiased;
    font-family: "Roboto","Helvetica Neue",Arial,sans-serif;
    font-weight: $font-weight-normal;
}

h1, .h1, h2, .h2, h3, .h3, h4, .h4{
    font-weight: $font-weight-light;
    margin: $margin-large-vertical 0 $margin-base-vertical;
}

h1, .h1 {
    font-size: $font-size-h1;
}
h2, .h2{
    font-size: $font-size-h2;
}
h3, .h3{
    font-size: $font-size-h3;
    margin: 20px 0 10px;
}
h4, .h4{
    font-size: $font-size-h4;
    line-height: 30px;
}
h5, .h5 {
    font-size: $font-size-h5;
    margin-bottom: 15px;
}
h6, .h6{
    font-size: $font-size-h6;
    font-weight: $font-weight-bold;
    text-transform: uppercase;
}
p{
    font-size: $font-paragraph;
    line-height: $line-height-general;
}

h1 small, h2 small, h3 small, h4 small, h5 small, h6 small, .h1 small, .h2 small, .h3 small, .h4 small, .h5 small, .h6 small, h1 .small, h2 .small, h3 .small, h4 .small, h5 .small, h6 .small, .h1 .small, .h2 .small, .h3 .small, .h4 .small, .h5 .small, .h6 .small {
    color: $dark-gray;
    font-weight: $font-weight-light;
    line-height: $line-height-general;
}

h1 small, h2 small, h3 small, h1 .small, h2 .small, h3 .small {
    font-size: 60%;
}

h1 .subtitle{
    display: block;
    margin: 0 0 $margin-large-vertical;   
}

@include generate_colors($colors-list);

@include generate_background_colors($colors-list);

@keyframes rotation{
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

@keyframes flicker{
  0%   { opacity:1; }
  50%  { opacity:0; }
  100% { opacity:1; }
}

@keyframes scale{
  0% {
    transform: scale(1);
  }
  25% {
    transform: scale(1.15);
  }
  50% {
    transform: scale(1.3);
  }
  75% {
    transform: scale(1.15);
  }
  100% {
    transform: scale(1);
  }
}

.delay-200ms{
  animation-delay: 200ms !important;
}

.delay-400ms{
  animation-delay: 400ms !important;
}

.delay-600ms{
  animation-delay: 600ms !important;
}

.delay-800ms{
  animation-delay: 800ms !important;
}

.flickerable{
  animation: flicker 2s infinite ease-in-out;
}

.scalable{
  animation: scale 0.3s infinite linear;
}

.spinable{
  animation: rotation 2s infinite linear;
}

.text-normal{
  color: #111 !important;
}

.text-muted{
    color: #9A9A9A;
}
.text-primary, .text-primary:hover{
    color: #1D62F0 !important;
}
.text-info, .text-info:hover{
    color: $info-color !important;
}
.text-success, .text-success:hover{
    color: $success-color !important;
}
.text-warning, .text-warning:hover{
    color: $warning-color !important;
}
.text-danger, .text-danger:hover{
    color: $danger-color !important;
}

